bftsmart.tom.server

## Interface BatchExecutable

All Superinterfaces:
  Executable

All Known Implementing Classes:
  DefaultRecoverable, DurabilityCoordinator

    public interface BatchExecutable
    extends Executable

Executables that implement this interface will receive a batch of requests and deliver them to the application in a deterministic way.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[][]` `executeBatch(byte[][] command, MessageContext[] msgCtx)` Execute a batch of requests.

### Methods inherited from interface bftsmart.tom.server.Executable

`executeUnordered`

### Method Detail

#### executeBatch

    byte[][] executeBatch(byte[][] command,
                          MessageContext[] msgCtx)

Execute a batch of requests.

Parameters:
  `command` -
  `msgCtx` -
Returns: